> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get details of all compute clusters in the account > Get details of all compute clusters in the account ## OpenAPI ````json GET /v1/clusters { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/clusters": { "get": { "tags": [ "ComputeClusters" ], "summary": "Get details of all compute clusters in the account", "description": "Get details of all compute clusters in the account", "operationId": "getAllComputeClusters", "parameters": [ { "name": "name", "in": "query", "description": "Cluster name", "schema": { "type": "string" } }, { "name": "description", "in": "query", "description": "Cluster description.", "schema": { "type": "string" } }, { "name": "limit", "in": "query", "description": "Maximum numbers of clusters to return.", "schema": { "type": "integer" } }, { "name": "offset", "in": "query", "description": "Number of clusters to skip from start.", "schema": { "type": "integer" } } ], "responses": { "200": { "description": "Get details of all clusters in the account", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAllComputeClustersResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "GetAllComputeClustersResponse": { "required": [ "items" ], "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/SearchMetadata" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/ComputeClusterResponse" } } } }, "SearchMetadata": { "required": [ "total_count", "filtered_count", "page", "pages", "limit" ], "type": "object", "properties": { "page": { "type": "integer", "description": "Current page number" }, "pages": { "type": "integer", "description": "Total pages as per the item counts and page limit." }, "limit": { "type": "integer", "description": "Number of items to limit in a page." }, "total_count": { "type": "integer", "description": "Total number of unfiltered items." }, "filtered_count": { "type": "integer", "description": "Total number of items as per the current filter." } } }, "ComputeClusterResponse": { "required": [ "cluster_id", "name", "description", "created_by" ], "type": "object", "properties": { "cluster_id": { "type": "string", "format": "uuid" }, "name": { "type": "string" }, "description": { "type": "string" }, "created_by": { "type": "string", "format": "uuid" }, "kubernetes": { "$ref": "#/components/schemas/KubernetesClusterInfo" }, "aci": { "$ref": "#/components/schemas/AciClusterInfo" } } }, "KubernetesClusterInfo": { "required": [ "cluster", "server", "user" ], "type": "object", "properties": { "cluster": { "type": "string" }, "server": { "type": "string" }, "user": { "type": "string" } } }, "AciClusterInfo": { "required": [ "subscription", "resource_group" ], "type": "object", "properties": { "subscription": { "type": "string", "format": "uuid" }, "resource_group": { "type": "string" }, "deployment_location": { "type": "string" } } } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````